# vim: set ts=4 sw=4 et:
# Copyright (c) 2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        Dirac plugin for OGMRip
Name:           ogmrip-dirac
Version:        0.1
Release:        pm154.3.2
# http://prdownloads.sourceforge.net/ogmrip/ogmrip-dirac-%{version}.tar.gz
Source:         ogmrip-dirac-%{version}.tar.bz2
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(dirac)
BuildRequires:  pkgconfig(ogmrip)
Requires:       MPlayer
Requires:       ogmrip

%description
ogmrip-dirac is a plugin for OGMRip which enables transcoding to dirac.

%lang_package

%prep
%autosetup -p1

%build
sed -i~ '
/^CFLAGS/d
/^LDFLAGS/d
' configure.in
diff -u "$_"~ "$_" && exit 1
autoreconf -fiv
%configure \
    --enable-static=no
%make_build

%install
%make_install \
    video_codecsdir=%{_libdir}/ogmrip/video-plugins

%find_lang %{name}

find %{buildroot} -name "*.la" -print -delete

%files
%doc AUTHORS ChangeLog README
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/video-plugins
%{_libdir}/ogmrip/video-plugins/libogmrip-dirac.so

%files lang -f %{name}.lang

%changelog
* Mon Oct 19 2009 toni@links2linux.de
- initial package for 0.1
